> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Prices

> List all Prices



## OpenAPI

````yaml billing.2024-07-30.product.live GET /prices
openapi: 3.0.0
info:
  title: Billing
  description: Manage Billing
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Billing Schedules
  - name: Prices
  - name: Credits
  - name: Discounts
paths:
  /prices:
    servers: []
    parameters: []
    get:
      tags:
        - Prices
      summary: List all Prices
      description: List all Prices
      operationId: getPrices
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: after
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: sortOrder
          in: query
          description: >-
            Sort order. Default: DESC (descending, most often used for reverse
            chronological sorting).
          required: false
          schema:
            type: string
        - name: currency
          in: query
          description: Filter by currency.
          required: false
          schema:
            type: string
        - name: name
          in: query
          description: Filter by name.
          required: false
          schema:
            type: string
        - name: billingFrequency
          in: query
          description: Filter by billing frequency.
          required: false
          schema:
            type: string
        - name: productId
          in: query
          description: Filter by product ID.
          required: false
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                example:
                  items:
                    - id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                      productId: d07037d5-3e31-4c3a-a360-e58555e2bf44
                      name: Demo Product
                      currency: GBP
                      structure:
                        tiers:
                          - upperBound: '200'
                            price: '1.00'
                            fee: '50.00'
                            isPricePercentage: false
                          - upperBound: '400'
                            price: '0.75'
                            fee: '25.00'
                            isPricePercentage: false
                          - price: '0.50'
                            fee: '0.00'
                            isPricePercentage: false
                        usageMetricId: 04c62961-04ba-48e6-b985-758bb7d3e712
                        usageCalculationMode: BILLING_PERIOD
                        pricingType: GRADUATED
                      billingFrequency: MONTHLY
                      billingType: IN_ARREARS
                      createdAt: '2022-06-28T16:47:00Z'
                      updatedAt: '2022-06-28T16:47:00Z'
                      integrationIds:
                        - service: Xero
                          id: '123'
                          isPending: false
                      customMetricParameters:
                        - parameterId: 94703530-1293-479b-bd37-ccad42fd9c8b
                          value: '10'
                      listPriceId: b4d7e884-e007-4183-8355-4771865c5100
                      usageCalculationPeriod:
                        frequency: MONTHLY
                        interval: 1
                      status: ACTIVE
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
                oneOf:
                  - $ref: >-
                      #/components/schemas/PriceResponsePaginatedPriceResponseModel
              examples:
                PriceResponsePaginatedPriceResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                        productId: d07037d5-3e31-4c3a-a360-e58555e2bf44
                        name: Demo Product
                        currency: GBP
                        structure:
                          price: '150.00'
                          pricingType: ONE_TIME
                        billingFrequency: MONTHLY
                        billingType: IN_ARREARS
                        createdAt: '2022-06-28T16:47:00Z'
                        updatedAt: '2022-06-28T16:47:00Z'
                        integrationIds:
                          - service: Xero
                            id: '123'
                            isPending: false
                        customMetricParameters:
                          - parameterId: 94703530-1293-479b-bd37-ccad42fd9c8b
                            value: '10'
                        listPriceId: b4d7e884-e007-4183-8355-4771865c5100
                        status: ACTIVE
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    PriceResponsePaginatedPriceResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
            productId: d07037d5-3e31-4c3a-a360-e58555e2bf44
            name: Demo Product
            currency: GBP
            structure:
              tiers:
                - upperBound: '200'
                  price: '1.00'
                  fee: '50.00'
                  isPricePercentage: false
                - upperBound: '400'
                  price: '0.75'
                  fee: '25.00'
                  isPricePercentage: false
                - price: '0.50'
                  fee: '0.00'
                  isPricePercentage: false
              usageMetricId: 04c62961-04ba-48e6-b985-758bb7d3e712
              usageCalculationMode: BILLING_PERIOD
              pricingType: GRADUATED
            billingFrequency: MONTHLY
            billingType: IN_ARREARS
            createdAt: '2022-06-28T16:47:00Z'
            updatedAt: '2022-06-28T16:47:00Z'
            integrationIds:
              - service: Xero
                id: '123'
                isPending: false
            customMetricParameters:
              - parameterId: 94703530-1293-479b-bd37-ccad42fd9c8b
                value: '10'
            listPriceId: b4d7e884-e007-4183-8355-4771865c5100
            usageCalculationPeriod:
              frequency: MONTHLY
              interval: 1
            status: ACTIVE
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Prices
          example:
            - id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
              productId: d07037d5-3e31-4c3a-a360-e58555e2bf44
              name: Demo Product
              currency: GBP
              structure:
                tiers:
                  - upperBound: '200'
                    price: '1.00'
                    fee: '50.00'
                    isPricePercentage: false
                  - upperBound: '400'
                    price: '0.75'
                    fee: '25.00'
                    isPricePercentage: false
                  - price: '0.50'
                    fee: '0.00'
                    isPricePercentage: false
                usageMetricId: 04c62961-04ba-48e6-b985-758bb7d3e712
                usageCalculationMode: BILLING_PERIOD
                pricingType: GRADUATED
              billingFrequency: MONTHLY
              billingType: IN_ARREARS
              createdAt: '2022-06-28T16:47:00Z'
              updatedAt: '2022-06-28T16:47:00Z'
              integrationIds:
                - service: Xero
                  id: '123'
                  isPending: false
              customMetricParameters:
                - parameterId: 94703530-1293-479b-bd37-ccad42fd9c8b
                  value: '10'
              listPriceId: b4d7e884-e007-4183-8355-4771865c5100
              usageCalculationPeriod:
                frequency: MONTHLY
                interval: 1
              status: ACTIVE
          items:
            $ref: '#/components/schemas/PriceResponse'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    PriceResponse:
      required:
        - billingFrequency
        - billingType
        - createdAt
        - currency
        - customMetricParameters
        - id
        - integrationIds
        - name
        - productId
        - status
        - structure
      type: object
      example:
        id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        productId: f409d651-c475-4142-aafd-a5d2bd74d4f9
        name: Demo Product
        currency: GBP
        structure:
          pricePerUnit: '0.25'
          usageMetricId: 04c62961-04ba-48e6-b985-758bb7d3e712
          isPricePercentage: false
          pricingType: LINEAR
        billingFrequency: MONTHLY
        billingType: IN_ARREARS
        createdAt: '2022-06-28T16:47:00Z'
        updatedAt: '2022-06-28T16:47:00Z'
        integrationIds:
          - service: Xero
            id: '123'
            isPending: false
        customMetricParameters:
          - parameterId: 94703530-1293-479b-bd37-ccad42fd9c8b
            value: '10'
        listPriceId: b4d7e884-e007-4183-8355-4771865c5100
        usageCalculationPeriod:
          frequency: MONTHLY
          interval: 1
        status: ACTIVE
      properties:
        id:
          type: string
          description: Unique Price ID, generated by Sequence on creation.
          example: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        productId:
          type: string
          description: The ID of the Product that this Price is associated with.
          example: f409d651-c475-4142-aafd-a5d2bd74d4f9
        name:
          type: string
          description: >-
            A short form description of the price, which appears as the title of
            line items on invoices.
          example: Demo Product
        currency:
          $ref: '#/components/schemas/Currency'
          description: >-
            The currency in which this price is denominated. This must be a
            valid ISO 4217 currency code, that is currently part of currencies
            supported by Sequence.
        structure:
          oneOf:
            - $ref: '#/components/schemas/GraduatedPricingStructure'
            - $ref: '#/components/schemas/VolumePricingStructure'
            - $ref: '#/components/schemas/SeatBasedPricingStructure'
            - $ref: '#/components/schemas/PackagePricingStructure'
            - $ref: '#/components/schemas/LinearPricingStructure'
            - $ref: '#/components/schemas/FixedPricingStructure'
            - $ref: '#/components/schemas/OneTimePricingStructure'
        billingFrequency:
          $ref: '#/components/schemas/BillingFrequency'
          description: The frequency with which this price is billed.
        billingType:
          $ref: '#/components/schemas/BillingType'
          description: >-
            Indicate at which point of the billing period to generate the
            invoice for this price. This can be either in-arrears (after the
            period ends), or in-advnace (at the beginning of the period).
        createdAt:
          type: string
          description: Time at which the Price was initially created, in ISO 8601 format.
          example: '2022-06-28T16:47:00Z'
        updatedAt:
          type: string
          description: Time at which the Price was last updated, in ISO 8601 format.
          example: '2022-06-28T16:47:00Z'
        integrationIds:
          type: array
          description: Alternate IDs for this Price in third-party integration systems
          example:
            - service: Xero
              id: '123'
              isPending: false
          items:
            $ref: '#/components/schemas/IntegrationId'
        customMetricParameters:
          type: array
          description: >-
            Specific parameters to influence usage calculation for this Price,
            and are only required when using custom metric. Please speak to your
            Sequence contacts for further information prior to usage.
          example:
            - parameterId: 94703530-1293-479b-bd37-ccad42fd9c8b
              value: '10'
          items:
            $ref: '#/components/schemas/PriceParameter'
        listPriceId:
          type: string
          description: >-
            The list price ID, if this price variant was created from a list
            price
          example: b4d7e884-e007-4183-8355-4771865c5100
        usageCalculationPeriod:
          $ref: '#/components/schemas/UsageCalculationPeriod'
        status:
          $ref: '#/components/schemas/PriceStatus'
          description: >-
            Price status:

            - DRAFT means the price has been extracted from a contract and has
            not yet been approved. It cannot be used while it is in DRAFT.

            - ACTIVE is the default state when a price is created via API or
            dashboard.
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10
    Currency:
      type: string
      example: GBP
      enum:
        - AED
        - ARS
        - AUD
        - BRL
        - BGN
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - CZK
        - DKK
        - EGP
        - EUR
        - GBP
        - HKD
        - ILS
        - INR
        - ISK
        - JPY
        - KRW
        - MXN
        - NOK
        - NZD
        - PLN
        - SAR
        - SEK
        - SGD
        - THB
        - USD
        - UYU
        - ZAR
    GraduatedPricingStructure:
      required:
        - pricingType
        - tiers
        - usageCalculationMode
        - usageMetricId
      type: object
      description: >-
        The pricing structure for this price. This can be a simple fixed price,
        or a more complex structure that varies based on usage.
      example:
        tiers:
          - upperBound: '200'
            price: '1.00'
            fee: '50.00'
            isPricePercentage: false
          - upperBound: '400'
            price: '0.75'
            fee: '25.00'
            isPricePercentage: false
          - price: '0.50'
            fee: '0.00'
            isPricePercentage: false
        usageMetricId: 04c62961-04ba-48e6-b985-758bb7d3e712
        usageCalculationMode: BILLING_PERIOD
        pricingType: GRADUATED
      properties:
        tiers:
          type: array
          description: A list of contiguous pricing tiers
          example:
            - upperBound: '200'
              price: '1.00'
              fee: '50.00'
              isPricePercentage: false
            - upperBound: '400'
              price: '0.75'
              fee: '25.00'
              isPricePercentage: false
            - price: '0.50'
              fee: '0.00'
              isPricePercentage: false
          items:
            $ref: '#/components/schemas/GraduatedUsageTier'
        usageMetricId:
          type: string
          description: The usage metric associated to this pricing structure
          example: 04c62961-04ba-48e6-b985-758bb7d3e712
        usageCalculationMode:
          $ref: '#/components/schemas/UsageCalculationMode'
          description: Indicates the scope of usage calculation
        pricingType:
          $ref: '#/components/schemas/GraduatedPricingType'
          description: The type of pricing
    VolumePricingStructure:
      required:
        - pricingType
        - tiers
        - usageMetricId
      type: object
      description: >-
        The pricing structure for this price. This can be a simple fixed price,
        or a more complex structure that varies based on usage.
      example:
        tiers:
          - upperBound: '100'
            price: '1.00'
            fee: '50.00'
            isPricePercentage: true
            maxPrice: '10'
            minPrice: '5'
          - price: '0.75'
            fee: '25.00'
            isPricePercentage: true
            maxPrice: '10'
            minPrice: '5'
        usageMetricId: 04c62961-04ba-48e6-b985-758bb7d3e712
        pricingType: VOLUME
      properties:
        tiers:
          type: array
          description: A list of contiguous pricing tiers
          example:
            - upperBound: '100'
              price: '1.00'
              fee: '50.00'
              isPricePercentage: true
              maxPrice: '10'
              minPrice: '5'
            - price: '0.75'
              fee: '25.00'
              isPricePercentage: true
              maxPrice: '10'
              minPrice: '5'
          items:
            $ref: '#/components/schemas/VolumeUsageTier'
        usageMetricId:
          type: string
          description: The usage metric associated to this tier
          example: 04c62961-04ba-48e6-b985-758bb7d3e712
        pricingType:
          $ref: '#/components/schemas/VolumePricingType'
          description: The type of pricing
    SeatBasedPricingStructure:
      required:
        - contractedMinimumSeats
        - pricePerSeat
        - pricingType
        - prorationStrategy
        - seatMetricId
        - tiers
      type: object
      description: >-
        The pricing structure for this price. This can be a simple fixed price,
        or a more complex structure that varies based on usage.
      example:
        seatMetricId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        pricePerSeat: '0.25'
        prorationStrategy: USE_MAXIMUM
        contractedMinimumSeats: 10
        overagesBillingFrequency: YEARLY
        tiers:
          - upperBound: '100'
            price: '1.00'
            fee: '50.00'
          - price: '0.75'
            fee: '25.00'
        prorateFlatFees: false
        pricingType: SEAT_BASED
      properties:
        seatMetricId:
          type: string
          description: Seat metric associated to this pricing structure
          example: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        pricePerSeat:
          type: string
          description: Price charged per seat per full billing period
          example: '0.25'
        prorationStrategy:
          $ref: '#/components/schemas/SeatProrationStrategy'
          description: >-
            The proration strategy to use when calculating the price for a seat.
            A `USE_MAXIMUM` will not prorate and charge the highest seat balance
            for the entire billing period, while a PRORATE_INCREMENTS will
            charge incremental seats from the day they're added
        contractedMinimumSeats:
          type: integer
          description: The number of contractually agreed minimum seats
          example: 10
        overagesBillingFrequency:
          $ref: '#/components/schemas/OveragesFrequency'
          description: The frequency with which to charge overages
        tiers:
          type: array
          description: A list of contiguous pricing tiers
          example:
            - upperBound: '100'
              price: '1.00'
              fee: '50.00'
            - price: '0.75'
              fee: '25.00'
          items:
            $ref: '#/components/schemas/SeatUsageTier'
        prorateFlatFees:
          type: boolean
          description: >-
            If set any flat fees will be pro-rated if the invoice service period
            length does not match the billing frequency
          example: false
        pricingType:
          $ref: '#/components/schemas/SeatBasedPricingType'
          description: The type of pricing
    PackagePricingStructure:
      required:
        - packageSize
        - pricePerPackage
        - pricingType
        - usageMetricId
      type: object
      description: >-
        The pricing structure for this price. This can be a simple fixed price,
        or a more complex structure that varies based on usage.
      example:
        packageSize: '50'
        pricePerPackage: '2.00'
        usageMetricId: 04c62961-04ba-48e6-b985-758bb7d3e712
        pricingType: PACKAGE
      properties:
        packageSize:
          type: string
          description: The amount of usage allowed for the price in this structure
          example: '50'
        pricePerPackage:
          type: string
          description: The price charged for each package
          example: '2.00'
        usageMetricId:
          type: string
          description: The usage metric associated to this tier
          example: 04c62961-04ba-48e6-b985-758bb7d3e712
        pricingType:
          $ref: '#/components/schemas/PackagePricingType'
          description: The type of pricing
    LinearPricingStructure:
      required:
        - isPricePercentage
        - pricePerUnit
        - pricingType
        - usageMetricId
      type: object
      description: >-
        The pricing structure for this price. This can be a simple fixed price,
        or a more complex structure that varies based on usage.
      example:
        pricePerUnit: '0.25'
        usageMetricId: 04c62961-04ba-48e6-b985-758bb7d3e712
        isPricePercentage: false
        pricingType: LINEAR
      properties:
        pricePerUnit:
          type: string
          description: >-
            The per unit rate to apply to usage for this product. In the case of
            percentage pricing where `isPricePercentage` is set to `true`, a
            value of 1 represents 100%.
          example: '0.25'
        usageMetricId:
          type: string
          description: Usage metric associated to this pricing structure
          example: 04c62961-04ba-48e6-b985-758bb7d3e712
        isPricePercentage:
          type: boolean
          description: >-
            Indicate whether the price attribute is to be considered as a
            percentage or an absolute value.
          example: false
        pricingType:
          $ref: '#/components/schemas/LinearPricingType'
          description: The type of pricing
    FixedPricingStructure:
      required:
        - price
        - pricingType
      type: object
      description: >-
        The pricing structure for this price. This can be a simple fixed price,
        or a more complex structure that varies based on usage.
      example:
        price: '20.00'
        pricingType: FIXED
      properties:
        price:
          type: string
          description: A fixed amount that is charged once every billing period.
          example: '20.00'
        pricingType:
          $ref: '#/components/schemas/FixedPricingType'
          description: The type of pricing
    OneTimePricingStructure:
      required:
        - price
        - pricingType
      type: object
      description: >-
        The pricing structure for this price. This can be a simple fixed price,
        or a more complex structure that varies based on usage.
      example:
        price: '150.00'
        pricingType: ONE_TIME
      properties:
        price:
          type: string
          description: A fixed amount that is charged once.
          example: '150.00'
        pricingType:
          $ref: '#/components/schemas/OneTimePricingType'
          description: The type of pricing
    BillingFrequency:
      type: string
      example: MONTHLY
      enum:
        - ON_DEMAND
        - ONE_TIME
        - MONTHLY
        - QUARTERLY
        - HALF_YEARLY
        - YEARLY
        - PER_EVENT
    BillingType:
      type: string
      example: IN_ARREARS
      enum:
        - IN_ARREARS
        - IN_ADVANCE
    IntegrationId:
      required:
        - id
        - isPending
        - service
      type: object
      example:
        service: Xero
        id: '123'
        isPending: false
      properties:
        service:
          $ref: '#/components/schemas/IntegrationService'
        id:
          type: string
          example: '123'
        isPending:
          type: boolean
          example: false
    PriceParameter:
      required:
        - parameterId
        - value
      type: object
      example:
        parameterId: 94703530-1293-479b-bd37-ccad42fd9c8b
        value: '10'
      properties:
        parameterId:
          type: string
          description: Custom metric parameter ID
          example: 94703530-1293-479b-bd37-ccad42fd9c8b
        value:
          type: string
          description: Parameter value
          example: '10'
    UsageCalculationPeriod:
      required:
        - frequency
        - interval
      type: object
      description: The period over which usage is aggregated.
      example:
        frequency: MONTHLY
        interval: 1
      properties:
        frequency:
          $ref: '#/components/schemas/UsageCalculationFrequency'
          description: Frequency determines the time period over which usage is aggregated.
        interval:
          type: integer
          description: >-
            Interval determines the time period over which usage is aggregated.
            For example, if the frequency is MONTHLY and the interval is 3, the
            usage is aggregated over 3 months before starting at 0 again.
          format: int32
          example: 1
    PriceStatus:
      type: string
      example: ACTIVE
      enum:
        - DRAFT
        - ACTIVE
    GraduatedUsageTier:
      required:
        - isPricePercentage
        - price
      type: object
      example:
        upperBound: '200'
        price: '1.00'
        fee: '50.00'
        isPricePercentage: false
      properties:
        upperBound:
          type: string
          description: >-
            The upper bound of usage for this tier. Set to null to if this is a
            final tier and is unbounded. The lower bound is set by the previous
            tier or 0 if it's the first one.
          example: '200'
        price:
          type: string
          description: >-
            The rate to apply to usage for this product in this tier. In the
            case of percentage pricing where `isPricePercentage` is set to
            `true`, a value of 1 represents 100%.
          example: '1.00'
        fee:
          type: string
          description: The nominal fee associated with usage at this tier
          example: '50.00'
        isPricePercentage:
          type: boolean
          description: >-
            Indicate whether the price attribute is to be considered as a
            percentage or an absolute value.
          example: false
    UsageCalculationMode:
      type: string
      example: BILLING_PERIOD
      enum:
        - BILLING_PERIOD
        - CUMULATIVE
        - PERIODIC
    GraduatedPricingType:
      type: string
      example: GRADUATED
      enum:
        - GRADUATED
    VolumeUsageTier:
      required:
        - isPricePercentage
        - price
      type: object
      example:
        upperBound: '100'
        price: '1.00'
        fee: '50.00'
        isPricePercentage: true
        maxPrice: '10'
        minPrice: '5'
      properties:
        upperBound:
          type: string
          description: >-
            The upper bound of usage for this tier. Set to null to if this is a
            final tier and is unbounded. The lower bound is set by the previous
            tier or 0 if it's the first one.
          example: '100'
        price:
          type: string
          description: >-
            The rate to apply to usage for this product in this tier. In the
            case of percentage pricing where `isPricePercentage` is set to
            `true`, a value of 1 represents 100%.
          example: '1.00'
        fee:
          type: string
          description: The nominal fee associated with usage at this tier
          example: '50.00'
        isPricePercentage:
          type: boolean
          description: >-
            Indicate whether the price attribute is to be considered as a
            percentage or an absolute value.
          example: true
        maxPrice:
          type: string
          description: Maximum Price to Charge for each Unit if Price is Percentage Based
          example: '10'
        minPrice:
          type: string
          description: Minimum Price to Charge for each Unit if Price is Percentage Based
          example: '5'
    VolumePricingType:
      type: string
      example: VOLUME
      enum:
        - VOLUME
    SeatProrationStrategy:
      type: string
      example: USE_MAXIMUM
      enum:
        - USE_MAXIMUM
        - PRORATE_INCREMENTS
        - PRORATE_ALL_CHANGES
    OveragesFrequency:
      type: string
      example: YEARLY
      enum:
        - NONE
        - MONTHLY
        - QUARTERLY
        - HALF_YEARLY
        - YEARLY
    SeatUsageTier:
      required:
        - price
      type: object
      example:
        upperBound: '100'
        price: '1.00'
        fee: '50.00'
      properties:
        upperBound:
          type: string
          description: >-
            The upper bound of usage for this tier. Set to null to if this is a
            final tier and is unbounded. The lower bound is set by the previous
            tier or 0 if it's the first one.
          example: '100'
        price:
          type: string
          description: >-
            The rate to apply to usage for this product in this tier. In the
            case of percentage pricing where `isPricePercentage` is set to
            `true`, a value of 1 represents 100%.
          example: '1.00'
        fee:
          type: string
          description: The nominal fee associated with usage at this tier
          example: '50.00'
    SeatBasedPricingType:
      type: string
      example: SEAT_BASED
      enum:
        - SEAT_BASED
    PackagePricingType:
      type: string
      example: PACKAGE
      enum:
        - PACKAGE
    LinearPricingType:
      type: string
      example: LINEAR
      enum:
        - LINEAR
    FixedPricingType:
      type: string
      example: FIXED
      enum:
        - FIXED
    OneTimePricingType:
      type: string
      example: ONE_TIME
      enum:
        - ONE_TIME
    IntegrationService:
      type: string
      example: Xero
      enum:
        - Amazon_Redshift
        - GoCardless
        - Google_BigQuery
        - Google_Sheets
        - HubSpot
        - NetSuite
        - QuickBooks_Online
        - Salesforce
        - Slack
        - Snowflake
        - Stripe
        - Xero
        - Avalara
        - Anrok
        - Attio
        - Numeral
        - Rillet
        - Sphere
    UsageCalculationFrequency:
      type: string
      example: MONTHLY
      enum:
        - MONTHLY
        - QUARTERLY
        - HALF_YEARLY
        - YEARLY

````